package com.example

import org.gradle.api.Plugin
import org.gradle.api.Project
import org.gradle.api.plugins.JavaPluginConvention
import org.gradle.api.tasks.bundling.Jar

class ExamplePlugin implements Plugin<Project> {
	@Override
	public void apply(Project project) {
		Jar task = project.tasks.add('sourcesJar', Jar)
		task.from project.sourceSets.main.allSource
		task.classifier = 'sources'
		project.tasks['assemble'].dependsOn task
	}
}
